CSV Output Variables
====================

This document describes CSV-formatted files that can be generated by
the tc CLI to Tax-Calculator, as part of the process of validating
Tax-Calculator.  These output files are generated as described in the
[tc CLI section of the user
documentation](https://PSLmodels.github.io/Tax-Calculator/index.html#cli).

Output Variables Documentation
------------------------------

A list of all the output variables Tax-Calculator can calculate is
available in the [Output Variables section of the user
documentation](https://PSLmodels.github.io/Tax-Calculator/index.html#output).
All these variables are included in the tc CLI output file when either
the `--dump` or the `--sqldb` option is used.

Validation Output Variables
---------------------------

Only a few of the `--dump`/`--sqldb` output variables are useful in
validation work.  Here is a list of those most useful and a note on
what the tax calculations assume about jobs held during the tax year.

| Var-name   | Var-description
| :-------   | :-------
| RECID      | unique numeric identifer for filing unit (from input)
| FLPDYR     | calendar year for which taxes are calculated
| iitax      | total federal individual income taxes (see NOTE below)
| payrolltax | total payroll taxes (see NOTE below for details)
| c00100     | adjusted gross income (AGI)
| c02500     | social security benefits included in AGI
| c04600     | personal exemption after phase-out
| pre_c04600 | personal exemption before phase-out
| c04470     | itemized deductions after phase-out (zero for non-itemizers)
| c21040     | itemized deductions that are phased out (zero for non-itemizers)
| c04800     | regular taxable income
| taxbc      | regular tax on regular taxable income
| c62100     | alternative minimum tax (AMT) taxable income
| c09600     | alternative minimum tax (AMT) liability
| c07220     | child tax credit (adjusted)
| c11070     | child tax credit (refunded)
| c07180     | credit for child and dependent care expenses
| eitc       | earned income credit (EIC)

The following **NOTES** refer to 2014-2016 IRS form line numbers:

The **payrolltax** output variable is assumed to include the following
components: (a) employee plus employer share of OASDI FICA taxes; (b)
employee plus employer share of HI FICA taxes; (c) self-employment tax
from Form 1040 line 57; and (d) additional Medicare tax from Form 1040
line 62a or Form 8959 line 18.  These payroll tax components are
calculated under the assumption that taxpayer and spouse, if present,
each hold only one wage-or-salary job during the year so that Form
1040 line 71 is always zero, and that employers (illegally) never
withhold for the Additional Medicare Tax so that Form 8959 line 24 is
always zero.

The **iitax** output variable is assumed to include all the Form 1040
components except for the payroll tax components (c) and (d) defined
above.  In other words, the iitax amount is Form 1040 line 63 minus
line 57 minus line 62a.
